% output = sine(f0,length,fs);
%
% Creates a sine signal 'output' with a fundamental frequency 'f0' [Hz] and duration
% 'length' [s] at the sampling frequency 'fs' [Hz].
%
% Jyri Pakarinen
% 11.3.2004
% 
% IMPORTANT NOTE (ADDED MAR 10, 2010): INTENDED TO BE USED WITH THE
% DATK-PACKAGE 

function [output] = sine(f0,length,fs)
t = 1:length*fs;
output = sin(2*pi*f0/fs.*t);